if not %POCKETBOOKSDK%.==. goto C1
echo Environment variable POCKETBOOKSDK is not set
pause
:C1
set PATH=%POCKETBOOKSDK%\arm-linux\bin;%POCKETBOOKSDK%\bin;%PATH%

set INCLUDE=-I/arm-linux/include -DPBBUILD
set LIBS=-linkview -lfreetype -lz -lsupc++
set OUTPUT=pbreversi.app

rm -f %OUTPUT%

set IMAGES=
if not exist images\*.bmp goto NOIMG
set IMAGES=%TEMP%\images.temp.c
pbres -c %IMAGES% images/*.bmp
if errorlevel 1 goto L_ER
:NOIMG

gcc -Wall -O2 -fomit-frame-pointer %INCLUDE% -I./ -o %OUTPUT% pbothello.cc revboard.cc ./img/*.c %IMAGES% %LIBS%
if errorlevel 1 goto L_ER

exit 0

:L_ER
exit 1

